Subject: bug#21633: 25.0.50; assertion failure, self-insert-command with negative argument

From: Eli Zaretskii <[email-masked]>
Date: Tue, 06 Oct 2015 19:01:04 +0300

> From: Nicolas Richard <[email-masked]>
> Cc:  [email-masked],  [email-masked]
> Date: Tue, 06 Oct 2015 17:48:54 +0200
> 
> > Would you like to write a test for this bug?
> 
> I would add
> 
> (ert-deftest core-elisp-self-insert-command-with-negative-argument ()
>   "Test `self-insert-command' with a negative argument."
>   (let ((last-command-event ?a))
>     (should-error (self-insert-command -1))))

Yep.

> to test/automated/core-elisp-tests.el.
> 
> I didn't find a better place. WDYT ?

I thought about cmds-tests.el, a new file for the stuff in cmds.c (a
kind-of promise for the future ;-).  But I don't insist, it's up to
you.

Thanks.